<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui" xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship">
<h:head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
</h:head>
<h:body>
	<ui:composition template="/pages/logintemplate.xhtml">
		<ui:define name="loginbody">
			<h:form id="form">
				<p:panel header="Login" style="width: 400px; margin-left: 33%; margin-top: 20%">
					<p:panelGrid columns="2" styleClass="borderlesspanelgrid">
						<h:outputLabel for="username" value="#{facesContext.translate('view.login.username')}" />
						<p:inputText id="username" label="username" value="#{loginModel.username}" required="true" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'view.login.username')}"
							placeholder="#{facesContext.translate('instruction.enter.username')}" />
						<h:outputLabel for="password" value="#{facesContext.translate('view.login.password')}" />
						<p:password id="password" label="password" value="#{loginModel.password}" required="true" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'view.login.password')}"
							placeholder="#{facesContext.translate('instruction.enter.password')}" />
					</p:panelGrid>
					<p:commandButton id="btn_login" action="#{loginController.doLogin}" ajax="false" value="#{facesContext.translate('view.login.login')}" />
				</p:panel>
			</h:form>
		</ui:define>
	</ui:composition>
</h:body>
</html>